# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'passpit/version'

Gem::Specification.new do |spec|
  spec.name          = 'passpit'
  spec.version       = Passpit::VERSION
  spec.authors       = ['Sergey Novikov']
  spec.email         = ['novikov359@gmail.com']

  spec.summary       = 'CLI password manager.'
  spec.homepage      = 'https://github.com/droptheplot/passpit'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'jwt', '~> 1.5'
  spec.add_dependency 'clipboard', '~> 1.0'
  spec.add_dependency 'colorize', '~> 0.7'

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.4'
end
